 /*
 * 手太欠
 * 愿这世界都如故事里一样 美好而动人~
 */

Page({
    data: {
        goodsData   : '', //详情
        canState    : '', //操作按钮
        express     : '', //物流
        orderNo     : ''  //订单号
    },

    onLoad(options) {
        this.setData({
            orderNo: options.order_no
        })
    },

    onShow() {
        // 获取订单详情
        this.goodsInfo();
    },

    /**
     * 订单详情
    */
    goodsInfo() {
        wx.$api.recruit.orderDet(this.data.orderNo).then(res => {
            this.setData({
                goodsData   : res.data,
                express     : res.data.express
            })
        }).catch(err => {})
    },

    /**
     * 复制订单号
    */
    copyUrl(val) {
        wx.setClipboardData({
            data: val.currentTarget.dataset.no,
            success: () => {
                wx.showToast({
                    title: "订单编号复制成功",
                    icon : "none"
                })
            }
        })
    },

    /**
     * 订单签收
    */
    signClick() {
        wx.showModal({
            title   : '提示',
            content : '是否签收',
            success : res=> {
                if (res.confirm) {
                    wx.$api.recruit.orderSign(this.data.goodsData.exchange_id).then(res => {
                        wx.showToast({
                        title:'签收成功',
                        icon:'none'
                        })
                        
                        // 获取订单详情
                        this.goodsInfo();
                    }).catch(err => {})
                }
            }
        })
    },

    /**
     * 复制物流单号
    */
   copyExpress(val) {
        wx.setClipboardData({
            data: val.currentTarget.dataset.no,
            success: () => {
                wx.showToast({
                    title: "物流单号复制成功",
                    icon : "none"
                })
            }
        })
    },

    // 查看物流
    h5url() {
        // var data = JSON.stringify(this.data.goodsData.express)
        // url:  `/pages/water/logistic/logistic?newData=` + encodeURIComponent(data) + '&title=' + this.data.goodsData.express.express.name + 
        wx.navigateTo({
            url:  "/pages/water/logistic/logistic?exchange_id=" + this.data.goodsData.exchange_id + "&title=" + this.data.goodsData.express.express.name
        })
    }
})
